Page MenuHomePhabricator

[ARM][MVE] Add patterns for VRHADD
ClosedPublic

Authored by samparker on Mar 30 2020, 9:10 AM.

Details

Summary

Add patterns which use standard add nodes along with arm vshr imm nodes.

Diff Detail

Event Timeline

samparker created this revision.Mar 30 2020, 9:10 AM
SjoerdMeijer added inline comments.Mar 31 2020, 9:33 AM
llvm/lib/Target/ARM/ARMInstrMVE.td
2033

I have seen these constants like the (ARMvmovImm (i32 3585)) here before, but can't remember what they encode. Is that the constant vector of 1s? Is that worth at least a comment?

Ah, I now see that Dave commented on the other ticket, that probably needs to be addressed first...

samparker updated this revision to Diff 257648.Apr 15 2020, 3:12 AM

Updated to use non wrapping adds.

dmgreen accepted this revision.Apr 16 2020, 7:20 AM

SGTM

This revision is now accepted and ready to land.Apr 16 2020, 7:20 AM
This revision was automatically updated to reflect the committed changes.